import pstats


def show_stats(profname="profile.log", sort_by="time", limit=30, keyword=None):
    sts = pstats.Stats(profname)
    if keyword:
        sts.sort_stats(sort_by).print_stats(limit, keyword)
    else:
        sts.sort_stats(sort_by).print_stats(limit)
    return sts

if __name__ == "__main__":
    show_stats()
